curl --request GET \
--url https://staging.api.mavapay.co/api/v1/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.api.mavapay.co/api/v1/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.api.mavapay.co/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"message": "all transaction",
"count": 1,
"nextPage": false,
"currentPage": 1,
"remainingPage": 0,
"totalPages": 1,
"data": [
{
"id": "10cda92f-db32-4f69-ae30-af32a0055caf",
"ref": "142a39e0bb85c45b06a9657f56156",
"hash": "89d7fd6571c8bdf4242091953553c26228dd5b7679729d20aaf2cc84f000d1bc",
"amount": 10000,
"fees": 0,
"currency": "NGN",
"type": "WITHDRAWAL",
"status": "SUCCESS",
"autopayout": true,
"createdAt": "2025-01-23T10:46:01.050Z",
"updatedAt": "2025-01-23T10:46:04.590Z",
"metadata": {
"id": "f2bf7bf8-9fe9-4afd-9ebb-cf3abae8cb19",
"merchantId": "f77986d6-75df-4979-85a9-8acedcfca392",
"merchantName": "Ricki Allardice",
"bankName": "CAPITEC BANK",
"bankAccountNumber": "1352906218",
"reference": "2bNkqVDLER7n65O7RrcV",
"customerInternalFee": 0,
"order": {
"id": "22723-5636",
"settledQuoteId": "e3d3cb1c-3206-40bb-81a9-8dfd9d69a853",
"amount": 10000,
"currency": "NGN",
"paymentMethod": "LIGHTNING",
"status": "PAID",
"quote": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exchangeRate": 1874805.7499999998,
"usdToTargetCurrencyRate": 18.4977,
"paymentBtcDetail": "<string>",
"paymentMethod": "LIGHTNING",
"totalAmount": 6474,
"equivalentAmount": 10000,
"expiry": "2023-11-07T05:31:56Z",
"sourceCurrency": "BTCSAT",
"targetCurrency": "NGNKOBO",
"paymentCurrency": "NGNKOBO",
"customerInternalFee": 0
}
}
}
}
]
}{
"message": "<string>",
"status": "error"
}Get all transactions
Returns all transactions with pagination and filtering options
Authorizations
Query Parameters
Page number for pagination
x >= 1Number of items per page
1 <= x <= 100Filter by transaction ID
Filter by account name (only applicable for NGN and ZAR transactions)
Filter by transaction status
SUCCESS, PENDING, FAILED Filter by transaction type
WITHDRAWAL, DEPOSIT The currency of the transaction
NGN, KES, ZAR, USDT Filter by minimum amount (in lowest denomination of the currency)
x >= 0Filter by maximum amount (in lowest denomination of the currency)
x >= 0Filter transactions from this date (ISO 8601 format)
"2024-01-01T00:00:00Z"
Filter transactions until this date (ISO 8601 format)
"2024-12-31T23:59:59Z"
Response
Transaction response with pagination
"ok"
"all transaction"
Total number of transactions
1
Whether there is a next page available
false
Current page number
1
Number of remaining pages
0
Total number of pages
1
Show child attributes
Show child attributes
